Skip to content

Remove Flow Step Choice

POST /rest/asset/v1/smartCampaign/{id}/flow/{stepId}/choice/{choiceId}/remove.json

Permissions Read-Write Assets

Build a request and mock the response

Method: POST
Path: /rest/asset/v1/smartCampaign/{id}/flow/{stepId}/choice/{choiceId}/remove.json
Tag: Smart Campaigns
Operation ID: removeSmartCampaignFlowStepChoiceUsingPOST

Removes a specific choice from a flow step. The default choice cannot be removed. Required Permissions: Read-Write Assets

Formats

  • Request: application/x-www-form-urlencoded
  • Response: application/json

Request

Path parameters

Name Type Required Description Constraints
id integer (int32) Yes Id of the smart campaign
stepId integer (int32) Yes Id of the flow step
choiceId integer (int32) Yes Id of the flow step choice

Example request

POST {{base_url}}/rest/asset/v1/smartCampaign/{{id}}/flow/{{stepId}}/choice/{{choiceId}}/remove.json
Accept: application/json

Responses

200 — OK

Schema: model: ResponseOfSmartCampaignFlowMutationResponse

Generated example

{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "id": 123,
      "name": "Example name",
      "flow": {
        "steps": [
          {
            "id": 123,
            "activityTypeId": 123,
            "activityTypeName": "Example name",
            "stepChoice": [
              null
            ]
          }
        ]
      }
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Source

Generated from swagger-asset.json.

Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.